//Adrián Torres
//Fab Academy 2020
//Fab Lab León


import processing.serial.*;
float val;     
Serial myPort;
float giro;
float velocidad;

 
void setup() {
  size(500, 500); //tamaño de cuadro
  println(Serial.list()); //listamos los puertos
  myPort = new Serial(this, "COM7", 115200); //puerto serial
  myPort.bufferUntil('\n');
  
  frameRate(10); //velocidad de captura de datos 10 frame por segundo
}

void draw() { 
  background(255); //color de fondo
    rect(350,250, 20, 100);//rectangulo base de la barrera
    fill(255,0,0); //color de la base de la barrera
    giro = map(val, 0, 1024, 0, 200);
  println(velocidad); // vemos por serial los valores
    
    pushMatrix();
    translate(350, 250); //el eje de coordenadas de la barrera
    rotate(giro); 
    rect(0,0, -250, 20);//rectangulo barrera
    fill(180);//color barrera
    //giro = giro + velocidad;
    popMatrix();
  
  
  

}

void serialEvent(Serial myPort) {
  String inString = myPort.readStringUntil('\n');
  if (inString != null) {
    inString = trim(inString);
    float[] values = float(split(inString, ","));
    if (values.length >=1) {
      val = values[0];
    }
  }
}
